package com.huiju.estateagents.eContract.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 企业和组织关系表 
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCompanyOrg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 企业和组织关系id
     */
    @TableId(value = "company_org_id", type = IdType.AUTO)
    private Integer companyOrgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 企业名称
     */
    @TableField(exist = false)
    private String companyName;

    /**
     * 企业编号
     */
    @TableField(exist = false)
    private String companyCode;

    /**
     * 实名认证状态 实名认证状态
     */
    @TableField(exist = false)
    private String certifiedStatus;

    /**
     * 组织名称
     */
    @TableField(exist = false)
    private String orgName;

    /**
     * 小程序名称
     */
    @TableField(exist = false)
    private String miniAppName;

}
